ck-history(1)

NAME
ck-history - ConsoleKit history

SYNOPSIS

ck-history [--frequent] [--help] [--last] [--last-compat] [--log] [--seat=seat] [--session-type=type] [--user=user] [--version]

DESCRIPTION

ck-history is a utility that provides information from the ConsoleKit database about what users have logged into the system. It supports options to specify whether to provide information about users who have logged in most frequently or most recently.

The ck-history utility is used by gdm(1m) when the GDM Face Browser is enabled to display users in the order of frequency.

OPTIONS

The following options are supported:

--frequent
Show listing of logged-in users in the most frequent order.

-h, --help
Display detailed usage message.

--last
Show listing of all user logins since logging began in the most-recent order..

--last-compat
Show listing of logged-in users in the most-recent order. The output is displayed in last(1) compatible format.

--log
Show full ConsoleKit event log.

-s, --seat=seat
Show entries for the specified seat.

-t, --session-type=type
Show entries for the specified session type.

-u, --user=user
Show entries for the specified user.

-V, --version
Display the version of the ck-history application.

EXAMPLES

Example 1: Show most frequently logged in users

example% ck-history --frequent

Example 2: Show the entire ConsoleKit log.

example% ck-history --log

SEE ALSO

ck-launch-session(1), ck-list-sessions(1), console-kit-daemon(1m)

NOTES

Written by Brian Cameron, Sun Microsystems Inc., 2009. Copyright (c) 2009 by Sun Microsystems, Inc.